Subject: 30.0.50; server-eval-at might handle unreadable results better

From: Sean Whitton <[email-masked]>
Date: Mon, 20 Feb 2023 09:25:34 -0700

Hello,

I use server-eval-at to call a function, in another daemon, which
returns a buffer.  So, server-eval-at tries (read "#<buffer *foo*>")
which of course fails, and indeed signals an error.

I wonder if server-eval-at should return a special value to indicate
that the remote computation returned something that is not readably
printable?  Or signal a particular error, which the caller might catch?

-- 
Sean Whitton